org.keycloak.models.cache.entities

## Class CachedUser

- java.lang.Object
- - org.keycloak.models.cache.entities.CachedUser

-     public class CachedUser
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedUser(RealmModel realm, UserModel user)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `List<UserCredentialValueModel>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getFederationLink()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `String` | `getLastName()`
    `String` | `getRealm()`
    `Set<UserModel.RequiredAction>` | `getRequiredActions()`
    `Set<String>` | `getRoleMappings()`
    `String` | `getUsername()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isTotp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedUser

          public CachedUser(RealmModel realm,
                    UserModel user)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getRealm

          public String getRealm()

    - #### getUsername

          public String getUsername()

    - #### getFirstName

          public String getFirstName()

    - #### getLastName

          public String getLastName()

    - #### getEmail

          public String getEmail()

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### getCredentials

          public List<UserCredentialValueModel> getCredentials()

    - #### isEnabled

          public boolean isEnabled()

    - #### isTotp

          public boolean isTotp()

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### getRequiredActions

          public Set<UserModel.RequiredAction> getRequiredActions()

    - #### getRoleMappings

          public Set<String> getRoleMappings()

    - #### getFederationLink

          public String getFederationLink()

Copyright © 2014. All Rights Reserved.